<?php

namespace app\admin\model;

use app\BaseModel;

class GuessAskLanguages extends BaseModel
{
    protected $autoWriteTimestamp = true;
    protected $createTime = 'created_at';
    protected $updateTime = 'updated_at';
    
    public static function typeList($language_code, $select = true)
    {
        $list = GuessAskType::where('language_code', $language_code)->column('name', 'id');
        if ($select) {
            $list = getSelectData($list);
        }
        return $list;
    }
}